Subject: Summary: two-el. integrals from G94

From: [email-masked] (Georg Schreckenbach)
Date: Wed, 1 Jul 1998 12:28:01 -0600

Hi CCL readers,

here is my summary for a recent CCL query, as requested by a number of
people. I got two answers (many thanx to Doug Fox and Mike Frisch!)
but I would also like to draw your attention to the
related summery by Iraj Daizadeh, posted on the CCL just after my question
(on June 15 -- well, at least that's the date when it reached me). I have
copied
it below.

Best regards, Georg

===========================================
Original question:

is there a (hopefully easy) way to print out from GAUSSIAN a few two-electron
integrals of the sort (ab|ij) or (ai|bj) where a and b are selected virtual
MOs,
and i and j are some occupied MOs? -- I use the usual definition for the
integrals, namely:

(pq|rs) = integral [psi_p(r1) * psi_q(r1)*(1/r12)*psi_r(r2)*psi_s(r2)*dr1*dr2

===========================================
Answers:

From: [email-masked] (Doug Fox)
Date: Tue, 16 Jun 1998 12:53:33 -0400 (EDT)

  Georg,

   There is no option for selectively printing a few integrals.  You can
use

%kjob l314
#  ...  SCF=Conventional ExtraLink=l316 NoRaff IOp(3/33=6)

to get the integrals printed into the log file and then select out the
ones you want.

===========================================
From: [email-masked] (Mike Frisch)
Date: Tue, 16 Jun 1998 14:06:16 -0400 (EDT)

There's no way to get selected MO integrals.  If you run an MP2 calculation
and turn up the print, these integrals will be printed out:

mp2=semidirect iop33(9=4) force

should do the trick.  This will get you matrices of things like (ip|qr) for
each i and p and all qr together.

Alternatively, do a regular transformation, save the read-write file, and use
the rwfdump utility to dump the appropriate parts of the file:

%rwf=some-name
mp2 use=l804 tran=iabc

then rwfdump some-name.rwf - 2r

will get you file 2, which has (ia|jb) in the order i (slowest running)
jab (fastest running)

similarly

rwfdump some-name.rwf - 7r
will get you file 7, which has (ij|ab) in the order i.le.j a.le.b
(i.e., i=1 j=1 a=1 b=1, then i=1, j=1, a=1, b=2 ... 111V, where V is
the number of virtuals, then 1122...1112V, and on up to 11VV, then 1211,
etc up to OOVV, where O is the number of occupieds.

Mike Frisch

===========================================
And finally an excerpt from the mentioned other summary
(see the CCL archives for the full posting):

Resent-From: "Iraj Daizadeh" <[email-masked]>
Resent-Date: Mon, 15 Jun 1998 15:46:52 -0700
Resent-To: [email-masked]
X-Authentication-Warning: www.ccl.net: mail set sender to
[email-masked] using -f
From: "Iraj Daizadeh" <[email-masked]>
Date: Thu, 5 Mar 1998 09:34:01 -0800
To: [email-masked]
Subject: CCL:G:Summary:G94 -> <ij|kl> and <ij||kl>
Sender: Computational Chemistry List <[email-masked]>

Hello.

Here is a summary of those that replied to my query (see below) concerning the
printing of two electron integrals from a conventional scf calculation.

In general, to print out two electron integrals into a standard G94 output file
is to insert the following keywords into the input deck:

        extralink=l316
        NORAFF (for pure integrals - optional)

and make sure that the SCF keyword is set to conventional.

To simply save the binary file, see the last comment below.

Thank you very much.

Iraj.

[rest of posting deleted. G.S.]

--
==============================================================
Dr. Georg Schreckenbach           Tel:     (USA)-505-667 7605
Theoretical Chemistry T-12        FAX:     (USA)-505-665 3909
M.S. B268, Los Alamos National      E-mail:  [email-masked]
Laboratory, Los Alamos, New Mexico, 87545, USA
Internet:    http://www.t12.lanl.gov/~schrecke/
==============================================================